## ros-indigo-bwi-services 0.3.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bwi_services)

find_package(catkin REQUIRED COMPONENTS 
  actionlib
  bwi_kr_execution
  message_generation
  roscpp
  std_msgs
)

add_service_files(
  FILES
  DeliverMessage.srv
  GoToLocation.srv
  SpeakMessage.srv
)

generate_messages(
  DEPENDENCIES std_msgs
)

catkin_package(
  CATKIN_DEPENDS
    actionlib
    bwi_kr_execution
    message_runtime
    roscpp
    std_msgs
)

# Build
include_directories(${catkin_INCLUDE_DIRS})

add_executable(deliver_message_service src/deliver_message_service.cpp)
add_dependencies(deliver_message_service ${catkin_EXPORTED_TARGETS}
  ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(deliver_message_service ${catkin_LIBRARIES})

add_executable(go_to_location_service src/go_to_location_service.cpp)
add_dependencies(go_to_location_service ${catkin_EXPORTED_TARGETS} 
  ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(go_to_location_service ${catkin_LIBRARIES})

add_executable(speak_message_service src/speak_message_service.cpp)
add_dependencies(speak_message_service ${catkin_EXPORTED_TARGETS}
  ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(speak_message_service ${catkin_LIBRARIES})

# Install
install(TARGETS
          deliver_message_service
          go_to_location_service
          speak_message_service
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

=== debian/changelog ===
ros-indigo-bwi-services (0.3.12-0trusty) trusty; urgency=high



 -- Benjamin Singer <benjamin.z.singer@gmail.com>  Wed, 14 Sep 2016 05:00:00 -0000

ros-indigo-bwi-services (0.3.11-0trusty) trusty; urgency=high



 -- Benjamin Singer <benjamin.z.singer@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-bwi-services (0.3.10-0trusty) trusty; urgency=high

  * bwi_services: fix catkin_lint errors, missing installs (#70 <https://github.com/utexas-bwi/bwi_common/issues/70>)
  * Contributors: Jack O'Quin

 -- Benjamin Singer <benjamin.z.singer@gmail.com>  Mon, 15 Aug 2016 05:00:00 -0000

ros-indigo-bwi-services (0.3.9-0trusty) trusty; urgency=high

  * New bwi_common package, reconcile version number (`#67
  * Fixed service responses, indentation, dependencies
  * Changed go_to, deliver_message service names, other minor changes
  * Added client for speak message
  * Added all services launch file
  * Switched to espeak
  * Added bwi_services folder
  * Contributors: Benjamin Singer, Jack O'Quin

 -- Benjamin Singer <benjamin.z.singer@gmail.com>  Fri, 05 Aug 2016 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-bwi-services
Section: misc
Priority: extra
Maintainer: Benjamin Singer <benjamin.z.singer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-bwi-kr-execution, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/bwi_services
Standards-Version: 3.9.2

Package: ros-indigo-bwi-services
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, espeak, ros-indigo-actionlib, ros-indigo-bwi-kr-execution, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-std-msgs
Description: High-level services for the UTexas Building-Wide Intelligence project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-bwi-services//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
